<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" href="css/style.css">
	<script src="js/funciones.js"></script>
	<script type="text/javascript">
		window.addEventListener("load", function(){
			//variables para operar
			let num1="";
			let operador="";
			let num2="";
			let sw=true;
			//para guardar el historial
			let historial="";
			let resultado=0;
			//para poder imprimir en la pantalla
			let pant=document.querySelector("#pantalla");
			let hist=document.querySelector("#historico");
			//Array con los botones
			let botones=document.querySelectorAll("button");
			console.log(botones);
				//asignar eventListener a las teclas
				botones.forEach((item)=>{
					item.addEventListener("click", (e)=>{
						//cuando se pulsa un numero...
						if (e.target.innerHTML<10){
							//...se comprueba si es el primer grupo de numeros o el segundo.
							if (sw) {
								num1+=e.target.innerHTML;
								historial+=e.target.innerHTML;
									
							}else{
								//console.log("y aqui tambien");
								num2+=e.target.innerHTML;
								historial+=e.target.innerHTML;
								

							}
						

						}
					//si se pulsan los operadores + - * / 
					if ((e.target.innerHTML== "*" || e.target.innerHTML=="/"  || e.target.innerHTML=="+" || e.target.innerHTML=="-") && (num1!="" && num2=="")) {
						operador=e.target.innerHTML;
						historial+=operador;
						//para que recoja segundo bloque de numeros
						sw=false;
							
					}
					//si se quieren seguir realizando operaciones
					if ((e.target.innerHTML== "*" || e.target.innerHTML=="/"  || e.target.innerHTML=="+" || e.target.innerHTML=="-") && (num1!="" && num2!="")) {
							
							operador=e.target.innerHTML;
							historial+=operador;
						
						
							
					}
					
					//cuando se pulsa el igual se realiza la operacion
					if (e.target.innerHTML=="=" && num2!=""){
						resultado=opera(num1, operador, num2);
						//se imprime el resultado en pantalla
						pant.innerHTML=resultado;
						historial+=e.target.innerHTML+resultado;
						//se prepara num1 por si se quiere seguir operando
						num1=resultado;
						num2="";
						
					}
					
					if (e.target.innerHTML=="C") {
						botonC();
					}	
						console.log("historial="+historial);	
						console.log("resultado="+resultado);
						console.log("num1="+num1+" num2="+num2);
						hist.innerHTML=historial;
						console.log(sw);
					});
					function botonC(){
						num1="";
						num2="";
						resultado=0;
						historial="";
						pant.innerHTML=resultado;
						hist.innerHTML=historial;
						sw=true;
					}
					
				});
			
		});
	</script>
	
</head>
<body>
	<div id="calculadora">
		
		<div>
			<div id="historico"></div>
			<div id="pantalla"></div>
		</div>

		<div class="botones"><button type="">7</button></div>
		<div class="botones"><button type="">8</button></div>
		<div class="botones"><button type="">9</button></div>
		<div class="botones"><button type="">/</button></div>
	
		<div class="botones"><button type="">4</button></div>
		<div class="botones"><button type="">5</button></div>
		<div class="botones"><button type="">6</button></div>
		<div class="botones"><button type="">*</button></div>
	
		<div class="botones"><button type="">1</button></div>
		<div class="botones"><button type="">2</button></div>
		<div class="botones"><button type="">3</button></div>
		<div class="botones"><button type="">-</button></div>
	
		<div class="botones"><button type="">0</button></div>
		<div class="botones"><button type="">C</button></div>
		<div class="botones"><button type="">+</button></div>
		<div class="botones"><button type="">=</button></div>
	</div>
</body>
</html>